- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# aws_batch_job_queue – Manage AWS Batch Job Queues

New in version 2.5.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module allows the management of AWS Batch Job Queues. It is idempotent and supports “Check” mode. Use module aws_batch_compute_environment to manage the compute environment, aws_batch_job_queue to manage job queues, aws_batch_job_definition to manage job definitions.

## Requirements

The below requirements are needed on the host that executes this module.

- boto

- boto3

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aws_access_key string |  | AWS access key. If not set then the value of the AWS_ACCESS_KEY_ID, AWS_ACCESS_KEY or EC2_ACCESS_KEY environment variable is used. aliases: ec2_access_key, access_key
aws_secret_key string |  | AWS secret key. If not set then the value of the AWS_SECRET_ACCESS_KEY, AWS_SECRET_KEY, or EC2_SECRET_KEY environment variable is used. aliases: ec2_secret_key, secret_key
compute_environment_order - / required |  | The set of compute environments mapped to a job queue and their order relative to each other. The job scheduler uses this parameter to determine which compute environment should execute a given job. Compute environments must be in the VALID state before you can associate them with a job queue. You can associate up to 3 compute environments with a job queue.
debug_botocore_endpoint_logs boolean added in 2.8 | Choices: no ← yes | Use a botocore.endpoint logger to parse the unique (rather than total) "resource:action" API calls made during a task, outputing the set to the resource_actions key in the task results. Use the aws_resource_action callback to output to total list made during a playbook. The ANSIBLE_DEBUG_BOTOCORE_LOGS environment variable may also be used.
ec2_url string |  | Url to use to connect to EC2 or your Eucalyptus cloud (by default the module will use EC2 endpoints). Ignored for modules where region is required. Must be specified for all other modules if region is not used. If not set then the value of the EC2_URL environment variable, if any, is used.
job_queue_name - / required |  | The name for the job queue
job_queue_state - | Choices: ENABLED ← DISABLED | The state of the job queue. If the job queue state is ENABLED , it is able to accept jobs.
priority - / required |  | The priority of the job queue. Job queues with a higher priority (or a lower integer value for the priority parameter) are evaluated first when associated with same compute environment. Priority is determined in ascending order, for example, a job queue with a priority value of 1 is given scheduling preference over a job queue with a priority value of 10.
profile string |  | Uses a boto profile. Only works with boto >= 2.24.0.
region string |  | The AWS region to use. If not specified then the value of the AWS_REGION or EC2_REGION environment variable, if any, is used. See http://docs.aws.amazon.com/general/latest/gr/rande.html#ec2_region aliases: aws_region, ec2_region
security_token string |  | AWS STS security token. If not set then the value of the AWS_SECURITY_TOKEN or EC2_SECURITY_TOKEN environment variable is used. aliases: access_token
state - | Choices: present ← absent | Describes the desired state.
validate_certs boolean | Choices: no yes ← | When set to "no", SSL certificates will not be validated for boto versions >= 2.6.0.

## Notes

Note

- If parameters are not set within the module, the following environment variables can be used in decreasing order of precedence `AWS_URL` or `EC2_URL`, `AWS_ACCESS_KEY_ID` or `AWS_ACCESS_KEY` or `EC2_ACCESS_KEY`, `AWS_SECRET_ACCESS_KEY` or `AWS_SECRET_KEY` or `EC2_SECRET_KEY`, `AWS_SECURITY_TOKEN` or `EC2_SECURITY_TOKEN`, `AWS_REGION` or `EC2_REGION`

- Ansible uses the boto configuration file (typically ~/.boto) if no credentials are provided. See https://boto.readthedocs.io/en/latest/boto_config_tut.html

- `AWS_REGION` or `EC2_REGION` can be typically be used to specify the AWS region, when required, but this can also be configured in the boto config file

## Examples

    ---
    - hosts: localhost
      gather_facts: no
      vars:
        state: present
      tasks:
      - name: My Batch Job Queue
        aws_batch_job_queue:
          job_queue_name: jobQueueName
          state: present
          region: us-east-1
          job_queue_state: ENABLED
          priority: 1
          compute_environment_order:
            - order: 1
              compute_environment: my_compute_env1
            - order: 2
              compute_environment: my_compute_env2
        register: batch_job_queue_action

      - name: show results
        debug:
          var: batch_job_queue_action

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
output dictionary | always | returns what action was taken, whether something was changed, invocation and response Sample: {'batch_job_queue_action': 'updated', 'changed': False, 'response': {'job_queue_arn': 'arn:aws:batch:....', 'job_queue_name': '<name>', 'priority': 1, 'state': 'DISABLED', 'status': 'UPDATING', 'status_reason': 'JobQueue Healthy'}}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Jon Meran (@jonmer85)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.